PLplot: octave_swig_packed Class Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Member Functions | Private Attributes | List of all members
octave_swig_packed Class Reference

## Public Member Functions
| octave_swig_packed (swig_type_info *_type=0, const void *_buf=0, size_t _buf_len=0)
bool | copy (swig_type_info *outtype, void *ptr, size_t sz) const
octave_base_value * | clone () const
octave_base_value * | empty_clone () const
bool | is_defined () const
void | print (std::ostream &os, bool pr_as_read_syntax=false) const
virtual bool | save_ascii (std::ostream &os)
virtual bool | load_ascii (std::istream &is)
virtual bool | save_binary (std::ostream &os, bool &save_as_floats)
virtual bool | load_binary (std::istream &is, bool swap, oct_mach_info::float_format fmt)

## Private Attributes
swig_type_info * | type
std::vector< char > | buf
| DECLARE_OCTAVE_ALLOCATOR
| DECLARE_OV_TYPEID_FUNCTIONS_AND_DATA

## Detailed Description

Definition at line 1798 of file plplot_octaveOCTAVE_wrap.cxx.

## Constructor & Destructor Documentation

octave_swig_packed::octave_swig_packed | ( | swig_type_info * | _type = `0`,
|  | const void * | _buf = `0`,
|  | size_t | _buf_len = `0`
| ) |  |
| inline

Definition at line 1803 of file plplot_octaveOCTAVE_wrap.cxx.

## Member Function Documentation

octave_base_value* octave_swig_packed::clone | ( |  | ) | const
| inline

Definition at line 1815 of file plplot_octaveOCTAVE_wrap.cxx.

bool octave_swig_packed::copy | ( | swig_type_info * | outtype,
|  | void * | ptr,
|  | size_t | sz
| ) |  | const
| inline

Definition at line 1807 of file plplot_octaveOCTAVE_wrap.cxx.

octave_base_value* octave_swig_packed::empty_clone | ( |  | ) | const
| inline

Definition at line 1819 of file plplot_octaveOCTAVE_wrap.cxx.

bool octave_swig_packed::is_defined | ( |  | ) | const
| inline

Definition at line 1823 of file plplot_octaveOCTAVE_wrap.cxx.

virtual bool octave_swig_packed::load_ascii | ( | std::istream & | is | ) |
| inlinevirtual

Definition at line 1837 of file plplot_octaveOCTAVE_wrap.cxx.

virtual bool octave_swig_packed::load_binary | ( | std::istream & | is,
|  | bool | swap,
|  | oct_mach_info::float_format | fmt
| ) |  |
| inlinevirtual

Definition at line 1845 of file plplot_octaveOCTAVE_wrap.cxx.

void octave_swig_packed::print | ( | std::ostream & | os,
|  | bool | pr_as_read_syntax = `false`
| ) |  | const
| inline

Definition at line 1827 of file plplot_octaveOCTAVE_wrap.cxx.

virtual bool octave_swig_packed::save_ascii | ( | std::ostream & | os | ) |
| inlinevirtual

Definition at line 1833 of file plplot_octaveOCTAVE_wrap.cxx.

virtual bool octave_swig_packed::save_binary | ( | std::ostream & | os,
|  | bool & | save_as_floats
| ) |  |
| inlinevirtual

Definition at line 1841 of file plplot_octaveOCTAVE_wrap.cxx.

## Member Data Documentation

std::vector< char > octave_swig_packed::buf
| private

Definition at line 1800 of file plplot_octaveOCTAVE_wrap.cxx.

octave_swig_packed::DECLARE_OCTAVE_ALLOCATOR
| private

Definition at line 1863 of file plplot_octaveOCTAVE_wrap.cxx.

octave_swig_packed::DECLARE_OV_TYPEID_FUNCTIONS_AND_DATA
| private

Definition at line 1864 of file plplot_octaveOCTAVE_wrap.cxx.

swig_type_info* octave_swig_packed::type
| private

Definition at line 1799 of file plplot_octaveOCTAVE_wrap.cxx.

The documentation for this class was generated from the following file:

- plplot_octaveOCTAVE_wrap.cxx